Package org.apache.synapse.commons.throttle.core.internal

# Class ThrottleServiceDataHolder

java.lang.Object
org.apache.synapse.commons.throttle.core.internal.ThrottleServiceDataHolder

public class ThrottleServiceDataHolder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDistributedCounterManager(DistributedCounterManager distributedCounterManager)`
  `void`
  `addDistributedThrottleProcessor(DistributedThrottleProcessor distributedThrottleProcessor)`
  `DistributedCounterManager`
  `getDistributedCounterManager()`
  `DistributedThrottleProcessor`
  `getDistributedThrottleProcessor()`
  `static ThrottleServiceDataHolder`
  `getInstance()`
  `ThrottleProperties`
  `getThrottleProperties()`
  `void`
  `removeDistributedCounterManager(DistributedCounterManager distributedCounterManager)`
  `void`
  `removeDistributedThrottleProcessor(DistributedThrottleProcessor distributedThrottleProcessor)`
  `void`
  `setThrottleProperties(ThrottleProperties throttleProperties)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getThrottleProperties

    public ThrottleProperties getThrottleProperties()

  - ### setThrottleProperties

    public void setThrottleProperties(ThrottleProperties throttleProperties)

  - ### getInstance

    public static ThrottleServiceDataHolder getInstance()

  - ### addDistributedCounterManager

    public void addDistributedCounterManager(DistributedCounterManager distributedCounterManager)

  - ### removeDistributedCounterManager

    public void removeDistributedCounterManager(DistributedCounterManager distributedCounterManager)

  - ### getDistributedCounterManager

    public DistributedCounterManager getDistributedCounterManager()

  - ### addDistributedThrottleProcessor

    public void addDistributedThrottleProcessor(DistributedThrottleProcessor distributedThrottleProcessor)

  - ### removeDistributedThrottleProcessor

    public void removeDistributedThrottleProcessor(DistributedThrottleProcessor distributedThrottleProcessor)

  - ### getDistributedThrottleProcessor

    public DistributedThrottleProcessor getDistributedThrottleProcessor()